## ros-melodic-robot-upstart 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(robot_upstart)

find_package(catkin REQUIRED)

catkin_package()
catkin_python_setup()

file(GLOB SCRIPTS scripts/*)
install(PROGRAMS ${SCRIPTS} DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY templates DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_python()
  roslint_add_test()

  catkin_add_nosetests(test)
endif()

## ros-melodic-robot-upstart 0.3.0

=== debian/changelog ===
ros-melodic-robot-upstart (0.3.0-0stretch) stretch; urgency=high

  * Add a dependency onto network-online.target (#67 <https://github.com/clearpathrobotics/robot_upstart/issues/67>)
  * Clarify the reason of the error due to wrong pkgpath passed. (#57 <https://github.com/clearpathrobotics/robot_upstart/issues/57>)
  * Allow ROS_HOME to be set previously by env file. (#54 <https://github.com/clearpathrobotics/robot_upstart/issues/54>)
  * Contributors: Isaac I.Y. Saito, Thomas Furfaro, mhosmar-cpr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 23 May 2018 04:00:00 -0000

ros-melodic-robot-upstart (0.2.2-0stretch) stretch; urgency=high

  * Added a spin wait until ros processes exit. (#40 <https://github.com/clearpathrobotics/robot_upstart/issues/40>)
  * Moved detect_providers to providers.py (#46 <https://github.com/clearpathrobotics/robot_upstart/issues/46>)
  * Miscellaneous source code fixups.
  * Contributors: Mike Purvis, Tony Baltovski, Zac Witte

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 23 Jan 2017 05:00:00 -0000

ros-melodic-robot-upstart (0.2.1-0stretch) stretch; urgency=high

  * Added option to install under systemd rather than upstart (#41 <https://github.com/clearpathrobotics/robot_upstart/issues/41>)
  * Added option to add launch files as symbolic link (#43 <https://github.com/clearpathrobotics/robot_upstart/issues/43>)
  * Fix title underline to silence doc job warning.
  * Update README.md
    Use latest_available URL for documentation link.
  * Merge pull request #31 <https://github.com/clearpathrobotics/robot_upstart/issues/31> from clearpathrobotics/roslint_fix
    Remove unwanted whitespace
  * Remove unwanted whitespace
  * Merge pull request #28 <https://github.com/clearpathrobotics/robot_upstart/issues/28> from clearpathrobotics/install_multiple_files
    Updated install script to allow adding multiple launch files to a job
  * Ensure script aborts if one of the provided launch files cannot be found
  * Updated install script to allow adding multiple launch files to a job at once
  * Fix leftover {user} tokens in template.
  * Formatting changes for new pep8.
  * Contributors: Jonathan Jekir, Kazumi Malhan, Mike Purvis, Niklas Casaril

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 19 Dec 2016 05:00:00 -0000

ros-melodic-robot-upstart (0.2.0-0stretch) stretch; urgency=high

  * Linter fixes.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 14 Mar 2015 04:00:00 -0000

ros-melodic-robot-upstart (0.1.2-0stretch) stretch; urgency=high

  * Add some basic install/uninstall tests.
  * Add uninstall job method and script.
  * Remove out of date README content, now forwards to ROS Wiki and generated documentation.
  * Add a documentation section about permissions
  * Contributors: Gaël Ecorchard, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 13 Mar 2015 04:00:00 -0000

ros-melodic-robot-upstart (0.1.1-0stretch) stretch; urgency=high

  * Python Rewrite
  * The startup event is too early for ROS to start, use local-filesystems instead.
  * Remove bash versions of the install and uninstall utilities.
  * Add support for supplying the --wait flag to roslaunch.
  * Add Sphinx documentation.
    To get the argparse docs required moving most of the install
    script to a module, which probably should have been done anyway.
  * Add a new-implementation install script, refactor Provider to be a class rather than function.
  * Add roslint.
  * Initial implementation of Python job generator.
  * Port templated files to use empy.
    This gets rid of the bespoke templating system that was so bad. Also
    notable here is adding a --root flag to install somewhere other than
    the actual root. This needs to be further fleshed out, for example
    by not reinvoking with sudo when installing to non-root location.
  * use LANG=C for ifconfig
  * add argument to specify log directory
  * Contributors: Eisoku Kuroiwa, Mike Purvis, ipa-mig

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-melodic-robot-upstart (0.0.6-0stretch) stretch; urgency=high

  * Add capability to also generate amalgamated descriptions, similar to launch files.
  * Update package.xml
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 25 Feb 2014 05:00:00 -0000

ros-melodic-robot-upstart (0.0.5-0stretch) stretch; urgency=high

  * Better console outputs.
  * Remove debug output from install script.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 13 Sep 2013 04:00:00 -0000

ros-melodic-robot-upstart (0.0.4-0stretch) stretch; urgency=high

  * Provide --augment option, to add files to a job without creating a new one.
  * Explicitly depend on daemontools.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-melodic-robot-upstart (0.0.3-0stretch) stretch; urgency=high

  * Supply ROS_HOME explicitly in start script.
  * Remove spurious comment from uninstall script.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-melodic-robot-upstart (0.0.2-0stretch) stretch; urgency=high

  * Eliminate rosrun from the make process.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-melodic-robot-upstart (0.0.1-0stretch) stretch; urgency=high

  * Generalized robot upstart scripts based on turtlebot_bringup
  * Includes install and uninstall scripts

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-robot-upstart
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslint, ros-melodic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-robot-upstart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemontools, ros-melodic-roslaunch, ros-melodic-xacro
Description: The robot_upstart package provides scripts which may be used to install and uninstall Ubuntu Linux upstart jobs which launch groups of roslaunch files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-robot-upstart//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-robot-upstart 0.3.3

=== debian/changelog ===
ros-melodic-robot-upstart (0.3.3-1bionic) bionic; urgency=high

  * Enable customization of  After= in service (#104 <https://github.com/clearpathrobotics/robot_upstart/issues/104>)
    * Cosmetic
    Remove unnecessary parenthesis.
    * Correct typo
    * FIX: Remove unreachable code
    * Enable customizable After= in service
    This feature enables the user to define the services after which the
    generated service will. This is handy when hardware-related system
    services have to start before the ROS software.
  * Added util-linux as dependency for setpriv.
  * Bumped CMake version to avoid author warning.
  * Contributors: Tkostas, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 12 May 2021 04:00:00 -0000

ros-melodic-robot-upstart (0.3.2-1bionic) bionic; urgency=high

  * Using setpriv (#101 <https://github.com/clearpathrobotics/robot_upstart/issues/101>)
    * Try replacing setuidgid with setpriv to see if this is a viable solution to the group permission issues
    * Fix a typo
    * Set the real and effective user and group IDs, not just the real ones
    * Add a missing "roslaunch" argument to the actual launch. Whoops :/
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 01 Mar 2021 05:00:00 -0000

ros-melodic-robot-upstart (0.3.1-1bionic) bionic; urgency=high

  * [doc] Add commands when systemd is chosen. (#78 <https://github.com/clearpathrobotics/robot_upstart/issues/78>)
    When systemd is specified as a provider, commands are different.
    https://wiki.ubuntu.com/SystemdForUpstartUsers
    [doc] Add systemd start/stop commands.
  * Melodic compatibility: modify getifip for bionic output (#88 <https://github.com/clearpathrobotics/robot_upstart/issues/88>)
    * Add net-tools as dependency because ifconfig is used
    * Modify getifip to handle bionic ifconfig output
  * Break line that the linter doesn't like. (#87 <https://github.com/clearpathrobotics/robot_upstart/issues/87>)
  * [doc] Clarify the logic for automated job name determination. (#82 <https://github.com/clearpathrobotics/robot_upstart/issues/82>)
    Problem addressed
    =================
    When --job option is not passed to rosrun robot_upstart install, the job name gets determined automatically but the logic of it is not clear.
    Solution to the problem
    =======================
    Add an explanation to the document.
  * [CI][kinetic-devel] Update to Xenial. (#79 <https://github.com/clearpathrobotics/robot_upstart/issues/79>)
    * [CI][kinetic-devel] Update to Xenial.
    On a PR https://github.com/clearpathrobotics/robot_upstart/pull/78 I saw [CI failure](https://travis-ci.org/clearpathrobotics/robot_upstart/builds/507510733?utm_source=github_status&utm_medium=notification) that seems to be related to platform issue. Using trusty for xenial-based job might not work (any more?).
    ```
    Unpacking python-rospkg (1.1.7-100) ...
    dpkg-deb: error: archive '/var/cache/apt/archives/python-rosdep_0.15.1-1_all.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
    dpkg: error processing archive /var/cache/apt/archives/python-rosdep_0.15.1-1_all.deb (--unpack):
    subprocess dpkg-deb --control returned error exit status 2
    No apport report written because MaxReports is reached already
    Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
    Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
    Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
    Errors were encountered while processing:
    /var/cache/apt/archives/python-catkin-pkg-modules_0.4.10-1_all.deb
    /var/cache/apt/archives/python-catkin-pkg_0.4.10-100_all.deb
    /var/cache/apt/archives/python-rosdistro-modules_0.7.2-1_all.deb
    /var/cache/apt/archives/python-rosdistro_0.7.2-100_all.deb
    /var/cache/apt/archives/python-rosdep_0.15.1-1_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    The command "sudo apt-get install python-rosdep -y" failed and exited with 100 during .
    ```
    * [CI] Switch to industrial_ci. Add ROS2 dashing.
    * [CI] Remove ROS2 dashing for now (see https://github.com/clearpathrobotics/robot_upstart/pull/79#issuecomment-533908848).
  * Add support for wait flag in the install script (#73 <https://github.com/clearpathrobotics/robot_upstart/issues/73>)
  * Contributors: Isaac I.Y. Saito, Mateusz Sadowski, Mike Purvis, Ramon Wijnands

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 01 Mar 2021 05:00:00 -0000

ros-melodic-robot-upstart (0.3.0-1bionic) bionic; urgency=high

  * Add a dependency onto network-online.target (#67 <https://github.com/clearpathrobotics/robot_upstart/issues/67>)
  * Clarify the reason of the error due to wrong pkgpath passed. (#57 <https://github.com/clearpathrobotics/robot_upstart/issues/57>)
  * Allow ROS_HOME to be set previously by env file. (#54 <https://github.com/clearpathrobotics/robot_upstart/issues/54>)
  * Contributors: Isaac I.Y. Saito, Thomas Furfaro, mhosmar-cpr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 23 May 2018 04:00:00 -0000

ros-melodic-robot-upstart (0.2.2-1bionic) bionic; urgency=high

  * Added a spin wait until ros processes exit. (#40 <https://github.com/clearpathrobotics/robot_upstart/issues/40>)
  * Moved detect_providers to providers.py (#46 <https://github.com/clearpathrobotics/robot_upstart/issues/46>)
  * Miscellaneous source code fixups.
  * Contributors: Mike Purvis, Tony Baltovski, Zac Witte

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 23 Jan 2017 05:00:00 -0000

ros-melodic-robot-upstart (0.2.1-1bionic) bionic; urgency=high

  * Added option to install under systemd rather than upstart (#41 <https://github.com/clearpathrobotics/robot_upstart/issues/41>)
  * Added option to add launch files as symbolic link (#43 <https://github.com/clearpathrobotics/robot_upstart/issues/43>)
  * Fix title underline to silence doc job warning.
  * Update README.md


=== debian/control ===
Source: ros-melodic-robot-upstart
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslint, ros-melodic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-robot-upstart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemontools, net-tools, ros-melodic-roslaunch, ros-melodic-xacro, setpriv, util-linux
Description: The robot_upstart package provides scripts which may be used to install and uninstall Ubuntu Linux upstart jobs which launch groups of roslaunch files.
